Subject: RE: [mobile-ip] Hierarchical MIPv6 Requirements

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 16 Mar 2001 20:41:17 +0100

Hi

> >Working for Ericsson I am of course interested in spectrum 
> efficiency.
> >However it has been already pointed out that this is probably
> >a ROHC issue, independent of HMIP, and I believe ROHC WG is working
> >on this.
> >
> 
> The specific issue had to do with moving header compression context,
> and especially whether there is additional overhead involved 
> in re-establishing 
> header compression after handover at all or with additional 
> tunnel headers or
> header options. I think this is probably a Seamoby/Context 
> Transfer issue.

I agree that it is in Seamoby's realm and if required something can
be done there to achieve CT.

> 
> >> In this email, I'd like to bring up an additional 
> requirement. There
> >> has been some discussion about whether or not arbitrary levels of
> >> hierarchy are of value. We recently did a study of using HMIP for
> >> a next generation IP based radio access network, and one of the 
> >> issues was supporting arbitrary levels of hierarchy with 
> >> minimal (ideally
> >> no) mobile involvement.
> >
> >Can you give reason?
> 
> Yes. In the RAN design we are looking at, there is an upper part
> on which packets are application or user packets. We would like
> to use a hierarchical MIP to implement mobility (what we call
> micromobility, which is different from what Seamoby calls 
> micromobility)
> across this part of the RAN. I can't say more without getting into
> deeper technical details, which I would rather not at the moment.
> The important point is that we would like the mobile to be aware
> of just one level of hierarchy, and there will be hierarchy outside
> the RAN, in the core, if the operator wants to optimize signalling,
> or provide a locally assigned home address.

From the cases I've seen, the home and care-of addresses always lie
outside the RAN. So you can be aware of just one level of hierarchy,
since the eventual radio hierarchy is invisible to the MN.
As you've pointed out it's better if we take this discussion offline
since it would need getting into more technical details.

> >> One of our requirements is that it shall be possible to support
> >> multiple levels of hierarchy with minimal (ideally no) mobile 
> >> involvement.
> >
> >This is a very specific case, so I'd be interested if you
> >could provide more reasons for this requirement. It's not a 
> requirement
> >from RAN standards I'm involved in.
> >
> 
> The requirements come out of the MWIF study on IP based RANs, but 
> 3GPP2 has begun an activity to redesign their RAN to be more 
> compatible
> with IP. So far, 3GPP hasn't been very receptive to this idea. We
> would like to submit the design we've been  looking at to 3GPP2, but
> we want to make sure we have a good hierarchical scheme.

OK, from what you're saying it doesn't seem like it is a network that
has been specified with frozen specs. I'd appreciate it if you could
point me to where I can find details. Also I don't think it would be
applicable to 3GPP.

Regards
/Karim

---

From: Michael Thomas <[email-masked]>
Date: Fri, 16 Mar 2001 11:51:24 -0800 (PST)

Karim El-Malki (ERA) writes:

[]

Not to pick on Karim, but could people please
follow normal quoting conventions which leaves the
person who you are responding to in the followup
like I did here? It makes it very difficult to
figure out who people are responding to if you
don't do that.

	 thx, Mike